Debian Bug report logs - #632167
[UDD] ubuntu_upload_history misses some fields

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Iain Lane <laney@debian.org>

Date: Thu, 30 Jun 2011 08:15:02 UTC

Severity: wishlist

Tags: patch

Done: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, laney@debian.org, debian-qa@lists.debian.org:
Bug#632167; Package qa.debian.org. (Thu, 30 Jun 2011 08:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@debian.org>:
New Bug report received and forwarded. Copy sent to laney@debian.org, debian-qa@lists.debian.org. (Thu, 30 Jun 2011 08:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: [UDD] ubuntu_upload_history misses some fields
Date: Thu, 30 Jun 2011 09:13:07 +0100
Package: qa.debian.org
Severity: wishlist

Hi there,

Thanks for adding ubuntu_upload_history. :-)

However, it misses some fields. Ubuntu's changes mails contain a few
pieces of information that Debian's do not.

  - Signed-By: same format as Changed-By, but is used to indicate the
    signer of the upload when it is different from the changer.
  - Launchpad-Bugs-Fixed: Same as Closes, but for Launchpad rather than
    the BTS.
  - Original-Maintainer: Same format as Maintainer, but records the
    Debian maintainer in the case when Ubuntu has pointed Maintainer to
    the Ubuntu development team.

Also, some fields do not really make sense in ubuntu_upload_history.

  - NMU: There's no concept of NMUing in Ubuntu
  - Architecture: All uploads are 'source'.
  - key_id/fingerprint: These aren't provided, so the columns should be
    dropped.

I'll see if I can find some next week to give you some SQL.

Cheers,
Iain


-- System Information:
Debian Release: squeeze/sid
  APT prefers natty-updates
  APT policy: (500, 'natty-updates'), (500, 'natty-security'), (500, 'natty'), (100, 'natty-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-8-generic (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_GB.UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, debian-qa@lists.debian.org:
Bug#632167; Package qa.debian.org. (Thu, 30 Jun 2011 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-qa@lists.debian.org. (Thu, 30 Jun 2011 19:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 632167@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: 632167@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#632167: [UDD] ubuntu_upload_history misses some fields
Date: Thu, 30 Jun 2011 20:22:46 +0100
[Message part 1 (text/plain, inline)]
tags 632167 + patch
thanks

Hi again,

On Thu, Jun 30, 2011 at 09:13:07AM +0100, Iain Lane wrote:
>Package: qa.debian.org
>Severity: wishlist
>
>Hi there,
>
>Thanks for adding ubuntu_upload_history. :-)
>
>However, it misses some fields. Ubuntu's changes mails contain a few
>pieces of information that Debian's do not.
>
>  - Signed-By: same format as Changed-By, but is used to indicate the
>    signer of the upload when it is different from the changer.
>  - Launchpad-Bugs-Fixed: Same as Closes, but for Launchpad rather than
>    the BTS.
>  - Original-Maintainer: Same format as Maintainer, but records the
>    Debian maintainer in the case when Ubuntu has pointed Maintainer to
>    the Ubuntu development team.
>
>Also, some fields do not really make sense in ubuntu_upload_history.
>
>  - NMU: There's no concept of NMUing in Ubuntu
>  - Architecture: All uploads are 'source'.
>  - key_id/fingerprint: These aren't provided, so the columns should be
>    dropped.

Well I got bored just now and implemented this. To keep it all in one
file there's now quite a few conditional statements in
upload_history_gatherer.py. I don't think it's too bad.

You'll want to drop the tables and do a full reimport. I just tried
that and it WFM:

udd=# SELECT u.source, u.version, u.changed_by, count(lp.bug) as num_bugs_closed FROM ubuntu_upload_history u, ubuntu_upload_history_launchpad_closes lp WHERE u.source = lp.source AND u.version = lp.version GROUP BY u.source, u.version, u.changed_by ORDER BY num_bugs_closed DESC LIMIT 10;
   source   |              version               |               changed_by                | num_bugs_closed 
------------+------------------------------------+-----------------------------------------+-----------------
 linux      | 2.6.28-9.30                        | Tim Gardner <tim.gardner@canonical.com> |             106
 phatch     | 0.2.1-4                            | stani <spe.stani.be@gmail.com>          |              83
 openjdk-7  | 7~b136-1.14~pre0-1                 | Matthias Klose <doko@ubuntu.com>        |              76
 pulseaudio | 1:0.9.22~0.9.21+341-g62bf-0ubuntu1 | Daniel T Chen <crimsun@ubuntu.com>      |              76
 xorg       | 1:7.5+1ubuntu1                     | Timo Aaltonen <tjaalton@ubuntu.com>     |              73
 vlc        | 1.1.0-1ubuntu1                     | Benjamin Drung <bdrung@ubuntu.com>      |              70
 unity      | 3.8.4-0ubuntu1                     | Didier Roche <didrocks@ubuntu.com>      |              67
 unity      | 3.8.2-0ubuntu1                     | Didier Roche <didrocks@ubuntu.com>      |              65
 unity-2d   | 3.8-0ubuntu1                       | Oliver Grawert <ogra@ubuntu.com>        |              63
 unity      | 3.6.6-0ubuntu1                     | Didier Roche <didrocks@ubuntu.com>      |              54
(10 rows)

Patch is attached. Please have a look and commit if you think it's
alright. :-)

(I didn't test the Debian upload importer, but that should hopefully
be untouched)

Cheers,
Iain
[udd-ubuntu-history-more-data.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Iain Lane <laney@debian.org> to control@bugs.debian.org. (Thu, 30 Jun 2011 19:27:05 GMT) Full text and rfc822 format available.

Reply sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
You have taken responsibility. (Sun, 03 Jul 2011 14:33:09 GMT) Full text and rfc822 format available.

Notification sent to Iain Lane <laney@debian.org>:
Bug acknowledged by developer. (Sun, 03 Jul 2011 14:33:09 GMT) Full text and rfc822 format available.

Message #17 received at 632167-done@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Iain Lane <laney@debian.org>, 632167-done@bugs.debian.org
Subject: Re: Bug#632167: [UDD] ubuntu_upload_history misses some fields
Date: Sun, 3 Jul 2011 16:31:14 +0200
On 30/06/11 at 20:22 +0100, Iain Lane wrote:
> tags 632167 + patch
> thanks
> 
> Hi again,
> 
> On Thu, Jun 30, 2011 at 09:13:07AM +0100, Iain Lane wrote:
> >Package: qa.debian.org
> >Severity: wishlist
> >
> >Hi there,
> >
> >Thanks for adding ubuntu_upload_history. :-)
> >
> >However, it misses some fields. Ubuntu's changes mails contain a few
> >pieces of information that Debian's do not.
> >
> > - Signed-By: same format as Changed-By, but is used to indicate the
> >   signer of the upload when it is different from the changer.
> > - Launchpad-Bugs-Fixed: Same as Closes, but for Launchpad rather than
> >   the BTS.
> > - Original-Maintainer: Same format as Maintainer, but records the
> >   Debian maintainer in the case when Ubuntu has pointed Maintainer to
> >   the Ubuntu development team.
> >
> >Also, some fields do not really make sense in ubuntu_upload_history.
> >
> > - NMU: There's no concept of NMUing in Ubuntu
> > - Architecture: All uploads are 'source'.
> > - key_id/fingerprint: These aren't provided, so the columns should be
> >   dropped.
> 
> Well I got bored just now and implemented this. To keep it all in one
> file there's now quite a few conditional statements in
> upload_history_gatherer.py. I don't think it's too bad.
> 
> You'll want to drop the tables and do a full reimport. I just tried
> that and it WFM:
> 
> udd=# SELECT u.source, u.version, u.changed_by, count(lp.bug) as num_bugs_closed FROM ubuntu_upload_history u, ubuntu_upload_history_launchpad_closes lp WHERE u.source = lp.source AND u.version = lp.version GROUP BY u.source, u.version, u.changed_by ORDER BY num_bugs_closed DESC LIMIT 10;
>    source   |              version               |
> changed_by                | num_bugs_closed ------------+------------------------------------+-----------------------------------------+-----------------
>  linux      | 2.6.28-9.30                        | Tim Gardner <tim.gardner@canonical.com> |             106
>  phatch     | 0.2.1-4                            | stani <spe.stani.be@gmail.com>          |              83
>  openjdk-7  | 7~b136-1.14~pre0-1                 | Matthias Klose <doko@ubuntu.com>        |              76
>  pulseaudio | 1:0.9.22~0.9.21+341-g62bf-0ubuntu1 | Daniel T Chen <crimsun@ubuntu.com>      |              76
>  xorg       | 1:7.5+1ubuntu1                     | Timo Aaltonen <tjaalton@ubuntu.com>     |              73
>  vlc        | 1.1.0-1ubuntu1                     | Benjamin Drung <bdrung@ubuntu.com>      |              70
>  unity      | 3.8.4-0ubuntu1                     | Didier Roche <didrocks@ubuntu.com>      |              67
>  unity      | 3.8.2-0ubuntu1                     | Didier Roche <didrocks@ubuntu.com>      |              65
>  unity-2d   | 3.8-0ubuntu1                       | Oliver Grawert <ogra@ubuntu.com>        |              63
>  unity      | 3.6.6-0ubuntu1                     | Didier Roche <didrocks@ubuntu.com>      |              54
> (10 rows)
> 
> Patch is attached. Please have a look and commit if you think it's
> alright. :-)
> 
> (I didn't test the Debian upload importer, but that should hopefully
> be untouched)

Thanks a lot, applied.

- Lucas




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Aug 2011 07:38:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:30:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.